import 'zx/globals'
import inquirer from 'inquirer'
import { g1, g3, g5, g7, g8, txt } from './palette.mjs'
import { listApps } from './apps.mjs'

export const prompt = ({ question: q, inputHint }) =>
  question(
    g8`$ ` + txt(q + '\n') + g1(inputHint ? inputHint + ' ' : '') + g3`>` + g5`>` + g7`>` + ' '
  )

export const yesNoPrompt = async ({ question, inputHint = '[y/N]' }) => {
  const answer = await prompt({ question, inputHint })

  return answer === 'y' || answer === 'yes' || !answer
}

export async function selectApp() {
  return inquirer
    .prompt([{ name: 'Application', type: 'list', choices: await listApps() }])
    .then((x) => x['Application'])
}
